Main Page Data Structures File List Data Fields Globals Related Pages

# clib/CGIAPI.C File Reference

`#include <DOS.H>`
`#include <STDLIB.H>`
`#include "CLIB/CGIAPI.H"`

Go to the source code of this file.

## Defines
#define | CGIVECT 0xAB
## Functions
int | CGI_Install (CGI_Entry far *cgiptr)
int | CGI_Delete (char far *PathPtr)
void | CGI_GetFormItem (char far *ArgumentBufferPtr, FormItem far *formitem)
int | CGI_GetNextItem (char far *ArgumentBufferPtr, char far **nextItemString)
int | CGI_SetMainPage (char *mainPageName)
int | CGI_SetRootDir (char *rootDirName)
int | CGI_GetRootDir (char **rootDirName)
int | CGI_GetMainPage (char **mainPageName)

## Define Documentation

#define CGIVECT 0xAB

| Definition at line 52 of file CGIAPI.C. Referenced by CGI_Delete(), CGI_GetFormItem(), CGI_GetMainPage(), CGI_GetNextItem(), CGI_GetRootDir(), CGI_Install(), CGI_SetMainPage(), and CGI_SetRootDir().

## Function Documentation

int CGI_Delete | ( | char far * | PathPtr | ) |

| Definition at line 73 of file CGIAPI.C. References CGI_REMOVE, and CGIVECT. Referenced by main().

void CGI_GetFormItem | ( | char far * | ArgumentBufferPtr,
|  | FormItem far * | formitem
| ) |

| Definition at line 92 of file CGIAPI.C. References CGI_GETFORMITEM, and CGIVECT.

int CGI_GetMainPage | ( | char ** | mainPageName | ) |

| Definition at line 187 of file CGIAPI.C. References CGI_GETMAIN, and CGIVECT.

int CGI_GetNextItem | ( | char far * | ArgumentBufferPtr,
|  | char far ** | nextItemString
| ) |

| Definition at line 110 of file CGIAPI.C. References CGI_FINDNEXTITEM, and CGIVECT.

int CGI_GetRootDir | ( | char ** | rootDirName | ) |

| Definition at line 168 of file CGIAPI.C. References CGI_GETROOTDIR, and CGIVECT.

int CGI_Install | ( | CGI_Entry far * | cgiptr | ) |

| Definition at line 56 of file CGIAPI.C. References CGI_INSTALL, and CGIVECT. Referenced by main().

int CGI_SetMainPage | ( | char * | mainPageName | ) |

| Definition at line 133 of file CGIAPI.C. References CGI_SETMAIN, and CGIVECT.

int CGI_SetRootDir | ( | char * | rootDirName | ) |

| Definition at line 150 of file CGIAPI.C. References CGI_SETROOTDIR, and CGIVECT.